
Summary: PIM Storage Service
Name:    akonadi
Version: 1.2.1
Release: 2%{?dist}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://download.akonadi-project.org/
Source0: http://download.akonadi-project.org/akonadi-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# shrink default initial db size a bit (approx 140mb->28mb)
%define mysql_conf_timestamp 20090220
Patch1: akonadi-1.1.1-mysql_conf.patch

## upstream patches

BuildRequires: cmake >= 2.6.0
BuildRequires: qt4-devel >= 4.4
BuildRequires: automoc4
BuildRequires: mysql-devel
BuildRequires: mysql-server
# for xsltproc
BuildRequires: libxslt
BuildRequires: shared-mime-info
BuildRequires: boost-devel
BuildRequires: soprano-devel

# when/if akonadi grows support for other backends, consider splitting
# these similar to how phonon is done currently.
Requires: qt4-mysql
# not *strictly* required, but we need a functional default configuration
Requires: mysql-server
Requires(postun): /sbin/ldconfig

%description
%{summary}.
Requires an available instance of mysql server at runtime.  
Akonadi can spawn a per-user one automatically if the mysql-server 
package is installed on the machine.
See also: %{_sysconfdir}/akonadi/mysql-global.conf

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q 

%patch1 -p1 -b .mysql_conf
touch -d %{mysql_conf_timestamp} server/src/storage/mysql-global.conf


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DCONFIG_INSTALL_DIR=%{_sysconfdir} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/akonadi/agents

touch -d %{mysql_conf_timestamp} $RPM_BUILD_ROOT%{_sysconfdir}/akonadi/mysql-local.conf


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%posttrans
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig ||:
if [ $1 -eq 0 ] ; then
  update-mime-database %{_datadir}/mime &> /dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS lgpl-license
%dir %{_sysconfdir}/akonadi/
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global.conf
%config(noreplace) %{_sysconfdir}/akonadi/mysql-local.conf
%{_bindir}/akonadi_control
%{_bindir}/akonadictl
%{_bindir}/akonadiserver
%{_libdir}/libakonadi*.so.1*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Akonadi.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.Akonadi.*.service
%{_datadir}/mime/packages/akonadi-mime.xml
%{_datadir}/akonadi/

%files devel
%defattr(-,root,root,-)
%{_includedir}/akonadi/
%{_libdir}/pkgconfig/akonadi.pc
%{_libdir}/libakonadi*.so
%{_libdir}/cmake/Akonadi/



%changelog

